Package org.eclipse.mat.parser.internal.oql

# Class OQLQueryImpl

java.lang.Object
org.eclipse.mat.parser.internal.oql.OQLQueryImpl

All Implemented Interfaces:
  `IOQLQuery`

public class OQLQueryImpl extends Object implements IOQLQuery

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.snapshot.IOQLQuery

`IOQLQuery.Result`

## Constructor Summary

Constructors
Constructor
Description
`OQLQueryImpl(String queryString)`
`OQLQueryImpl(EvaluationContext parent, Query query)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(ISnapshot snapshot, IProgressListener monitor)`
Execute the OQL query.
`static String`
`OQLforSubject(String select, Object subject, String alias)`
`static String`
`OQLLiteral(Object subject)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OQLQueryImpl

public OQLQueryImpl(EvaluationContext parent, Query query)

### OQLQueryImpl

public OQLQueryImpl(String queryString) throws OQLParseException

Throws:
  `OQLParseException`

## Method Details

### OQLLiteral

public static String OQLLiteral(Object subject)

### OQLforSubject

public static String OQLforSubject(String select, Object subject, String alias)

### execute

public Object execute(ISnapshot snapshot, IProgressListener monitor) throws SnapshotException
Description copied from interface: `IOQLQuery`
Execute the OQL query. Returns a result object, either a primitive integer array containing object ids or IResultTable.

Specified by:
  `execute` in interface `IOQLQuery`
Throws:
  `SnapshotException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`